' Run this script - it will produce a text file of each installer 
' component and the product that's using it, Guids and all. It 
' should run on any system with VBScript support (Windows 2000, 
' XP).  It won't show you anything if it works - it just builds 
' a text file comps.txt.
' Phil Wilson [MVP Windows Installer]

Option Explicit
Public installer, fullmsg, comp, a, prod, fso, pname, ploc, pid, psorce

Set fso = CreateObject("Scripting.FileSystemObject")
Set a = fso.CreateTextFile("comps.txt", True)

' Connect to Windows Installer object
Set installer = CreateObject("WindowsInstaller.Installer")
a.writeline ("Components")
on error resume next
For Each comp In installer.components
   a.writeline (comp & " is used by:")
   for each prod in Installer.ComponentClients (comp)
      pid = installer.componentpath (prod, comp)
      pname = installer.productinfo (prod, "InstalledProductName")
      a.Writeline ("     " & pname & " " & prod & " at " & pid)
   Next
Next
MsgBox("DumpComponentsList - Done.")
